// Аргументы:
// idButton        →   id контролла
// stillMillSec    →   осталось миллисекунд до включения css-анимации через добавление соотв. css-класса
// classAfter      →   css-класс анимации мигания по истечении stillMillSec
function damageMaxFlash(idButton, stillMillSec, cssClassAppendAfter) {
    var idbtn, start;
    idbtn = document.getElementById(idButton);

    if (idbtn == null) {
        return;
    }

    // сохранить время начала
    start = Date.now();

    var timer = setInterval(function () {
        // вычислить сколько времени прошло с начала анимации
        var timePassed = Date.now() - start;

        //Условие окончания
        if (timePassed > stillMillSec) {

            idbtn.className = idbtn.className + ' ' + cssClassAppendAfter;
            clearInterval(timer); // конец через duration
            return;
        }

        //Логирование
        //else {
        //    console.log(timePassed);
        //}


    }, 20);
}
